.TH BABEL-PINGER 8
.SH NAME
babel-pinger \- set up a default route if a host is reachable
.SH SYNOPSIS
.B babel-pinger
[
.B \-p
.I protocol-number
] [
.B \-P
.I server-protocol
] [
.B \-t
.I timeout
]
.B \-i
.I interface
.IR host ...
.SH DESCRIPTION
.B Babel-pinger
determines whether a given host or set of hosts are reachable through
a given interface and, if so, sets up a default route through the
loopback interface.  This route can then be exported into a suitable
routing protocol such as
.BR Babel .
.SH OPTIONS
.TP
.BI \-p " protocol-number"
Specify the protocol number of the installed route.  The default is 43.
.TP
.BI \-P " server-protocol"
The protocol used by the remote host.  This can be one of
.BR echo ,
.B dns
or
.BR ntp .
.TP
.BI \-t " timeout"
The time interval, in seconds, at which queries will be sent.  The
default is 90s.
.TP
.BI \-i " interface"
The interface over which the remote hosts will be pinged.
.SH BUGS
You kidding?
.SH SEE ALSO
.BR routed (8),
.BR zebra (8),
.BR babel (8).
.SH AUTHOR
Juliusz Chroboczek.
